;InnoSetupVersion=3.0.4

[Setup]
AppName=Digital Patrol
AppVerName=Digital Patrol 4.0.65
AppId=Digital Patrol
AppVersion=4.0.65
AppPublisher=fCoder
AppPublisherURL=http://www.antiviraldp.com
AppSupportURL=http://www.antiviraldp.com
AppUpdatesURL=http://www.antiviraldp.com
DefaultDirName={pf}\DigitalPatrol 4
DefaultGroupName=Digital Patrol 4
OutputBaseFilename=DP4065
Compression=zip
PrivilegesRequired=none
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\asc4.dll"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\DPatrol.exe"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\DPatrolQ.exe"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\kernel40.dll"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\pl.dll"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\psapi.dll"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\StopAPI4.dll"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\Update.exe"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\DPatrolM.exe"; DestDir: "{app}"; Components: monitor; 
Source: "{app}\OE.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\OE4.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\TheBAT.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\UnACE.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\UnARJ.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\UnMSCAB.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\UnRAR.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\UnZIP.api"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\daily.avb"; DestDir: "{app}"; Components: base; 
Source: "{app}\kernel4.avb"; DestDir: "{app}"; Components: base; 
Source: "{app}\stop.set"; DestDir: "{app}"; Components: base; 
Source: "{app}\DROP.WAV"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\FINISH.WAV"; DestDir: "{app}"; Components: scanner; 
Source: "{app}\INFECTED.WAV"; DestDir: "{app}"; Components: scanner; 
Source: "{fonts}\tahoma.ttf"; DestDir: "{fonts}"; Components: scanner; Flags: uninsneveruninstall 
Source: "{fonts}\tahomabd.ttf"; DestDir: "{fonts}"; Components: scanner; Flags: uninsneveruninstall 
Source: "{app}\StopPlugin.bav"; DestDir: "{app}"; Components: scanner; 
Source: "{sys}\shellex.dll"; DestDir: "{sys}"; Components: scanner; Flags: restartreplace regserver 
Source: "{app}\dpatrol.chm"; DestDir: "{app}"; Components: manual; 

[Registry]
Root: HKCU; Subkey: "Software\fCoder\DPatrol4"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\fCoder\DPatrol4"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\fCoder\DPatrol4"; ValueName: "Version"; ValueType: String; ValueData: "4.0.65"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "DP Monitor"; ValueType: String; ValueData: "{app}\DPatrolM.exe"; Components: monitor; Flags: uninsdeletevalue 

[Run]
Filename: "regsvr32.exe"; Parameters: "ShellEx.dll /s"; WorkingDir: "{sys}"; Flags: shellexec 
Filename: "{app}\dpatrol.exe"; WorkingDir: "{app}"; Description: "Run DP Scanner"; Flags: postinstall skipifsilent nowait
Filename: "http://www.antiviraldp.com"; Description: "Visit site"; Flags: shellexec postinstall skipifsilent nowait
Filename: "{app}\DPatrolM.exe"; WorkingDir: "{app}"; Components: monitor; Flags: skipifsilent nowait

[UninstallRun]
Filename: "regsvr32.exe"; Parameters: "ShellEx.dll /s /u"; WorkingDir: "{sys}"; Flags: shellexec 
Filename: "http://www.fcoder.com/uninstall/index.htm?24&DP"; Flags: shellexec nowait

[Icons]
Name: "{group}\DP Scanner"; Filename: "{app}\DPatrol.exe"; WorkingDir: "{app}"; Components: scanner; 
Name: "{group}\DP Monitor"; Filename: "{app}\DPatrolM.exe"; WorkingDir: "{app}"; Components: monitor; 
Name: "{group}\DP Manual"; Filename: "{app}\dpatrol.chm"; WorkingDir: "{app}"; Components: manual; 
Name: "{group}\Live Update"; Filename: "{app}\update.exe"; WorkingDir: "{app}"; Components: scanner; 
Name: "{group}\DP Online"; Filename: "http://www.antiviraldp.com"; 
Name: "{group}\Buy Now!"; Filename: "http://www.antiviraldp.com/order.htm"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\DP Scanner"; Filename: "{app}\DPatrol.exe"; WorkingDir: "{app}"; Components: scanner; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\DP Scanner"; Filename: "{app}\dpatrol.exe"; WorkingDir: "{app}"; Components: scanner; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; Components: "scanner"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "scanner"; 

[Components]
Name: "scanner"; Description: "DP Scanner"; Types: "full custom"; 
Name: "base"; Description: "Antivirus database"; Types: "full custom"; 
Name: "monitor"; Description: "DP Monitor"; Types: "full"; 
Name: "manual"; Description: "DP Manual"; Types: "full"; 

[InstallDelete]
Type: files; Name: "{app}\DPatrol.db"; 
Type: files; Name: "{app}\psapi.dll"; 
Type: files; Name: "{app}\*.txt"; 
Type: files; Name: "{app}\*.ini"; 
Type: files; Name: "{app}\*.avb"; 
Type: files; Name: "{app}\*.set"; 
Type: files; Name: "{app}\*.url"; 
Type: files; Name: "{app}\*.api"; 
Type: files; Name: "{app}\*.exc"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "custom"; Description: "Custom installation"; 
